import useSDK from './useSDK';
export default function useReveal() {
    var sdk = useSDK();
    if (sdk === null) {
        throw new Error('You must be in a RedeemAndRevealContext to use hooks');
    }
    return function () { return sdk.reveal(); };
}
