var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { SimultaneousRevealSDK } from '@inkerlabs/sdk';
import SimultaneousRevealContext from './context';
function SimultaneousRevealProvider(props) {
    var children = props.children, config = props.config;
    var sdkInstance = React.useMemo(function () {
        return new SimultaneousRevealSDK(window.ethereum, config);
    }, [config]);
    return (_jsx(SimultaneousRevealContext.Provider, __assign({ value: sdkInstance }, { children: children }), void 0));
}
export default SimultaneousRevealProvider;
