import useSDK from './useSDK';
export default function useBuyPublic() {
    var sdk = useSDK();
    if (sdk === null) {
        throw new Error('You must be in a SimultaneousRevealContext to use hooks');
    }
    return function (amount) { return sdk.buyPublic(amount); };
}
